Hi

I heard a rumor that BM 3.5 is not secure and can be used as a spam relay.
The solution to this should be upgrading to BM 3.7 SP3, or 3.8. Is this
correct?

Regards
Flemming